Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230896 - USB to serial convertor device name
Summary: USB to serial convertor device name
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-04 11:45 UTC by Bart Vanbrabant
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-15 21:59:33 UTC


Attachments (Terms of Use)
Patch from Oliver (deleted)
2007-03-04 18:56 UTC, Pete Zaitcev
no flags Details | Diff

Description Bart Vanbrabant 2007-03-04 11:45:10 UTC
Description of problem:
Since the rawhide kernel moved from 2.6.20 to a pre 2.6.21 version I can't use a
programmer with an usb to serial converter chip anymore. It used to attach to
the device /dev/ttyUSB0 but now I get ttyUSB132 or ttyUSB148. When I try to use
the device I get an error that the device node doesn't exist.

Version-Release number of selected component (if applicable):
The rawhide kernel from yesterday: 2.6.20-1.2962.fc7PAE

Output from dmesg when attaching the device and removing it again:
[root@duvel ~]# dmesg 
usb 1-3: new full speed USB device using ohci_hcd and address 5
PM: Adding info for usb:1-3
PM: Adding info for No Bus:usbdev1.5_ep00
usb 1-3: configuration #1 chosen from 1 choice
PM: Adding info for usb:1-3:1.0
ftdi_sio 1-3:1.0: FTDI USB Serial Device converter detected
drivers/usb/serial/ftdi_sio.c: Detected FT232BM
PM: Adding info for usb-serial:ttyUSB148
PM: Adding info for No Bus:ttyUSB148
usb 1-3: FTDI USB Serial Device converter now attached to ttyUSB148
PM: Adding info for No Bus:usbdev1.5_ep81
PM: Adding info for No Bus:usbdev1.5_ep02
PM: Adding info for No Bus:usbdev1.5
usb 1-3: USB disconnect, address 5
PM: Removing info for No Bus:usbdev1.5_ep81
PM: Removing info for No Bus:usbdev1.5_ep02
PM: Removing info for No Bus:ttyUSB148
ftdi_sio ttyUSB148: FTDI USB Serial Device converter now disconnected from ttyUSB148
PM: Removing info for usb-serial:ttyUSB148
ftdi_sio 1-3:1.0: device disconnected
PM: Removing info for usb:1-3:1.0
PM: Removing info for No Bus:usbdev1.5
PM: Removing info for No Bus:usbdev1.5_ep00
PM: Removing info for usb:1-3

Trying to open the device:
[root@duvel ~]# cat /dev/ttyUSB148 
cat: /dev/ttyUSB148: No such device

Comment 2 david.hagood 2007-03-07 02:22:56 UTC
I am seeing this as well.

Comment 3 Bart Vanbrabant 2007-03-15 21:59:33 UTC
This is fixed in the current rawhide kernel version.


Note You need to log in before you can comment on or make changes to this bug.